/*
 * Copyright 
 *   2005 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.auth.dgcp;

import fr.gouv.finances.cp.xemelios.auth.XemeliosUser;

public class DgcpUser implements XemeliosUser {
	public static final transient int ROLE_ADMIN=0x1000;
	private String id, password;
	private int auth=0;
	private boolean authenticated = false;

	public DgcpUser(String login, String password) {
		super();
		this.id=login;
		this.password=password;
	}
	public DgcpUser(String login, int auth) {
		super();
		this.id=login;
		this.auth=auth;
	}

	public String getId() {
		return id;
	}

	public String getDescription() {
		return id;
	}

	public int getAuth(String collectivite) {
		return auth;
	}

	public boolean isAllowedTo(String collectivite,int role) {
		return (role & auth)>0;
	}

	public String getPassword() { return password; }
	public void setAuth(int auth) { this.auth=auth; }
	public void setPassword(String newPass) { this.password=newPass; }
	public boolean isAuthenticated() {
		return authenticated;
	}
	public void setAuthenticated(boolean authenticated) {
		this.authenticated = authenticated;
	}
}
